Package de.willuhn.jameica.hbci.io

# Class SepaSammelLastschriftExporter

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractExporter
de.willuhn.jameica.hbci.io.AbstractSepaExporter
de.willuhn.jameica.hbci.io.SepaSammelLastschriftExporter

All Implemented Interfaces:
  `Exporter`, `IO`

public class SepaSammelLastschriftExporter extends AbstractSepaExporter
Exporter fuer SEPA-Sammel-Lastschriften.

## Nested Class Summary

## Nested classes/interfaces inherited from class de.willuhn.jameica.hbci.io.AbstractSepaExporter

`AbstractSepaExporter.JobContext`

## Field Summary

### Fields inherited from interface de.willuhn.jameica.hbci.io.Exporter

`SESSION`

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelLastschriftExporter()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`exportObject(Object o, int idx, AbstractSepaExporter.JobContext ctx)`
Schreibt die Eigenschaften des Auftrages in die Properties.
`protected String`
`getJobName()`
Liefert den zu verwendenden HBCI4Java-Jobname.
`protected org.kapott.hbci.sepa.SepaVersion.Type`
`getPainType()`
Liefert den zu verwendenden SEPA PAIN-Type.

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractSepaExporter

`getName`

### Methods inherited from class de.willuhn.jameica.hbci.io.AbstractExporter

`doExport, getIOFormats, suppportsExtension`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelLastschriftExporter

public SepaSammelLastschriftExporter()

## Method Details

### exportObject

protected void exportObject(Object o, int idx, AbstractSepaExporter.JobContext ctx) throws Exception
Description copied from class: `AbstractSepaExporter`
Schreibt die Eigenschaften des Auftrages in die Properties.

Specified by:
  `exportObject` in class `AbstractSepaExporter`
Parameters:
  `o` - das zu exportierende Objekt.
  `idx` - der Index in der Liste der Objekte.
  `ctx` - der Auftragskontext.
Throws:
  `Exception`

### getPainType

protected org.kapott.hbci.sepa.SepaVersion.Type getPainType()
Description copied from class: `AbstractSepaExporter`
Liefert den zu verwendenden SEPA PAIN-Type.

Specified by:
  `getPainType` in class `AbstractSepaExporter`
Returns:
  der zu verwendende SEPA PAIN-Type.

### getJobName

protected String getJobName()
Description copied from class: `AbstractSepaExporter`
Liefert den zu verwendenden HBCI4Java-Jobname.

Specified by:
  `getJobName` in class `AbstractSepaExporter`
Returns:
  der zu verwendende HBCI4Java-Jobname.